---
layout: docs
page_title: 'nomad job revert command reference'
description: |
  The `nomad job revert` command reverts the current job to a prior version.
---

# `nomad job revert` command reference

The `job revert` command is used to revert a job to a prior version of the
job. The available versions to revert to can be found using [`job history`]
command.

## Usage

```shell-session
nomad job revert [options] <job> <version|tag>
```

The `job revert` command requires two inputs: the job ID, and the version number
or tag of the job to revert to.  When you specify a version number, Nomad
reverts the job to the exact version number. Alternately, when you specify a
custom tag name as a string, Nomad reverts to the version tagged with that
name.

When ACLs are enabled, this command requires a token with the `submit-job`
capability for the job's namespace. The `list-jobs` capability is required to
run the command with a job prefix instead of the exact job ID. The `read-job`
capability is required to monitor the resulting evaluation when `-detach` is
not used.

## General options

@include 'general_options.mdx'

## Revert options

- `-detach`: Return immediately instead of monitoring. A new evaluation ID
  will be output, which can be used to examine the evaluation using the
  [eval status] command.

- `-verbose`: Show full information.

## Examples

Revert to an older version of a job:

```shell-session
$ nomad job history -p example
Version     = 1
Stable      = false
Submit Date = 07/25/17 21:27:30 UTC
Diff        =
+/- Job: "example"
+/- Task Group: "cache"
  +/- Task: "redis"
    +/- Config {
      +/- image:           "redis:7" => "redis:4.0"
          port_map[0][db]: "6379"
        }

Version     = 0
Stable      = false
Submit Date = 07/25/17 21:27:18 UTC

$ nomad job revert example 0
==> Monitoring evaluation "faff5c30"
    Evaluation triggered by job "example"
    Evaluation within deployment: "e17c8592"
    Allocation "4ed0ca3b" modified: node "e8a2243d", group "cache"
    Evaluation status changed: "pending" -> "complete"
==> Evaluation "faff5c30" finished with status "complete"

$ nomad job history -p example
Version     = 2
Stable      = true
Submit Date = 07/25/17 21:27:43 UTC
Diff        =
+/- Job: "example"
+/- Task Group: "cache"
  +/- Task: "redis"
    +/- Config {
      +/- image:           "redis:4.0" => "redis:7"
          port_map[0][db]: "6379"
        }

Version     = 1
Stable      = false
Submit Date = 07/25/17 21:27:30 UTC
Diff        =
+/- Job: "example"
+/- Task Group: "cache"
  +/- Task: "redis"
    +/- Config {
      +/- image:           "redis:7" => "redis:4.0"
          port_map[0][db]: "6379"
        }

Version     = 0
Stable      = false
Submit Date = 07/25/17 21:27:18 UTC
```

[`job history`]: /nomad/docs/commands/job/history
[eval status]: /nomad/docs/commands/eval/status
[run]: /nomad/docs/commands/job/run
